<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>{% block title %}Welcome!{% endblock %}</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous"> {% block stylesheets %}{% endblock %}
</head>

<body>
    <header class="container-fluid">

        <nav class="navbar navbar-expand-lg navbar-info bg-light fixed-top mb-5">
            <a class="navbar-brand" href="{{ path('post')}}">Blog</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
              <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav mr-auto">

                    {% if app.user == false %}
                    <li class="nav-item">
                        <a class="nav-link text-success" href="{{ path('login')}}">Login</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link text-primary" href="{{ path('register')}}">Register</a>
                    </li>

                    {% else %}
                    <li class="nav-item dropdown mr-3">
                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Menu</a>
                        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                            <a class="dropdown-item" href="{{ path('user_post') }}">See my posts</a>
                            <a class="dropdown-item" href="{{ path('add_post') }}">Add a new post</a>
                            <div class="dropdown-divider"></div>
                            <a class="dropdown-item" href="#">Something else here</a>
                        </div>
                    </li>
                    <li>
                        <span class="navbar-text mx-auto">Welcome {{ app.user.username }} !</span>
                    </li>
                </ul>
                <ul class="navbar-nav">
                    <li class="nav-item float-right">
                        <a class="nav-link text-danger" href="{{ path('logout')}}">Logout</a>
                    </li>
                </ul>
                {% endif %}
                </ul>
            </div>
        </nav>

    </header>
    <div class="container-fluid mt-5">
        {% block body %}{% endblock %}
    </div>
    {% block javascripts %}
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>{% endblock %}
</body>

</html>